Name:          memtest86+
Version:       5.01
Release:       1mamba
Summary:       Thorough, stand alone memory test for x86 architecture computers
Group:         System/Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.memtest.org/
Source:        http://www.memtest.org/download/%{version}/%{name}-%{version}.tar.gz
Patch0:        memtest86+-5.01-Makefile.patch
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Based on the well-known original memtest86 written by Chris Brady, memtest86+ is a port by some members of the x86-secret team.
Our goal is to provide an up-to-date and completly reliable version of this software tool aimed at memory failures detection.

%prep
%setup -q 
%patch0 -p1

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
install -D memtest.bin %{buildroot}/boot/memtest.bin

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.build-process
/boot/memtest.bin

%changelog
* Tue Nov 19 2013 Automatic Build System <autodist@mambasoft.it> 5.01-1mamba
- automatic version update by autodist

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 4.20-1mamba
- automatic version update by autodist

* Wed Jul 11 2012 Automatic Build System <autodist@mambasoft.it> 4.10-1mamba
- automatic version update by autodist

* Sat Feb 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.00-1mamba
- update to 4.00

* Thu Sep 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.70-2mamba
- specfile updates for openmamba

* Wed Jan 17 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.70-1qilnx
- update to version 1.70 by autospec

* Wed Mar 02 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.51-1qilnx
- package created by autospec
